curl
curl -sS "https://gateway.orbit/api/v1/task-definitions?project_id=4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"project_id": 123,
"name": "<string>",
"title": "<string>",
"brief": "<string>",
"parameters": [
{
"name": "<string>",
"type": "text",
"required": true,
"default": "<unknown>"
}
],
"status": "backlog",
"schedule": {},
"phases": [
{
"key": "<string>",
"title": "<string>",
"brief": "<string>",
"repeat": true
}
],
"subtasks": [
{
"key": "<string>",
"title": "<string>",
"kind": "<string>",
"brief": "<string>",
"phase": "<string>",
"deliverables": [
{
"id": "<string>",
"type": "file",
"description": "<string>",
"path": "<string>",
"change": "created",
"fails_on_base": true,
"command": "<string>",
"directory": "<string>",
"paths": [
"<string>"
]
}
],
"routes": {},
"implementer_model": "<string>",
"reviewer_model": "<string>",
"operation": "<string>",
"arguments": {},
"question": "<string>",
"options": [
"<string>"
],
"evidence": [
"<string>"
],
"min_probability": 123
}
]
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Tasks
tasks:definition:list
Lists task definitions, optionally filtered by numeric project_id. Any authorized peer can list them. The call does not start a task. Returns extension.disabled while the tasks extension is off.
GET
/
api
/
v1
/
task-definitions
curl
curl -sS "https://gateway.orbit/api/v1/task-definitions?project_id=4" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": [
{
"project_id": 123,
"name": "<string>",
"title": "<string>",
"brief": "<string>",
"parameters": [
{
"name": "<string>",
"type": "text",
"required": true,
"default": "<unknown>"
}
],
"status": "backlog",
"schedule": {},
"phases": [
{
"key": "<string>",
"title": "<string>",
"brief": "<string>",
"repeat": true
}
],
"subtasks": [
{
"key": "<string>",
"title": "<string>",
"kind": "<string>",
"brief": "<string>",
"phase": "<string>",
"deliverables": [
{
"id": "<string>",
"type": "file",
"description": "<string>",
"path": "<string>",
"change": "created",
"fails_on_base": true,
"command": "<string>",
"directory": "<string>",
"paths": [
"<string>"
]
}
],
"routes": {},
"implementer_model": "<string>",
"reviewer_model": "<string>",
"operation": "<string>",
"arguments": {},
"question": "<string>",
"options": [
"<string>"
],
"evidence": [
"<string>"
],
"min_probability": 123
}
]
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}